Summary:	KDE Frameworks 5 calendar utility module
Name:		kcalutils
Version:	17.12.3
Release:	1
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	grantlee-qt5-devel
BuildRequires:	kf5calendarcore-devel
BuildRequires:	kf5codecs-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5identitymanagement-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Test)

%description
KDE Frameworks 5 calendar utility module.

%files
%{_kde5_libdir}/grantlee/5.*/kcalendar_grantlee_plugin.so

#----------------------------------------------------------------------------

%package i18n
Summary:	KDE Frameworks 5 calendar utility library translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KDE Frameworks 5 calendar utility library translations.

%files i18n -f libkcalutils5.lang

#----------------------------------------------------------------------------

%define kf5calendarutils_major 5
%define libkf5calendarutils %mklibname kf5calendarutils %{kf5calendarutils_major}

%package -n %{libkf5calendarutils}
Summary:	KDE Frameworks 5 calendar utility shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5calendarutils}
KDE Frameworks 5 calendar utility shared library.

%files -n %{libkf5calendarutils}
%{_kde5_libdir}/libKF5CalendarUtils.so.%{kf5calendarutils_major}*

#----------------------------------------------------------------------------

%define devkf5calendarutils %mklibname kf5calendarutils -d

%package -n %{devkf5calendarutils}
Summary:	Development files for KDE Frameworks 5 calendar utility module
Group:		Development/KDE and Qt
Requires:	%{libkf5calendarutils} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5calendarutils-devel = %{version}

%description -n %{devkf5calendarutils}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5calendarutils}
%{_kde5_includedir}/KF5/KCalUtils
%{_kde5_includedir}/KF5/kcalutils_version.h
%{_kde5_libdir}/cmake/KF5CalendarUtils
%{_kde5_libdir}/libKF5CalendarUtils.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang libkcalutils5

%changelog

* Mon Mar 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.12.3-1
- (21e243b) New version 17.12.3


